@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@400&display=swap');

body {
    font-family: 'quicksand', sans-serif;


}
.container-fluid {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

/*------------------------Schriften-----------------------------------*/
h2 {
    color: #643F65;
  font-weight:bold;
  margin-bottom:30px;
}

h3 {
    color: #643F65;
   font-weight:bold;
}

h4 {
    color: #643F65;
    font-weight:bold !important;
}

h5 {
    color: #643F65;
  font-weight:bold;
}

p {
    color: #643F65;
}

li {
  color: #643F65; /* Textfarbe */

}

/*-------------------------------Hintergrundsbild----------------------------------*/

.bg-image {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
   
}
/*-----------------------------------Buttons------------------------------*/
.btn-outline-primary {
    --bs-btn-color: #954B98;
    --bs-btn-border-color: #954B98;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #954B98;
    --bs-btn-hover-border-color: #954B98;
    --bs-btn-focus-shadow-rgb: 52, 152, 219;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #954B98;
    --bs-btn-active-border-color: #954B98;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #954B98;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #954B98;
    --bs-gradient: none;
    border-width: 3px;
    font-weight: bold;
}



.btn-primary {
     --bs-btn-color: #fff;
    --bs-btn-bg: #954B98;
    --bs-btn-border-color: #954B98;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #643F65;
    --bs-btn-hover-border-color: #643F65;
    --bs-btn-focus-shadow-rgb: 52, 152, 219;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #954B98;
    --bs-btn-active-border-color: #954B98;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #954B98;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #954B98;
    --bs-gradient: none;
    border-width: 3px;
    font-weight: bold;
}


.row-image {
    width: 100%;
    height: auto;
}



/*--------------------------------------Links-------------------------------*/
a {
    text-decoration: none;
    color: #954B98;
  font-weight:bold;
}

p a {
    text-decoration: underline; 
    color: #954B98; 
    font-weight: bold; 
}
.icon-link {
    font-weight: bold;
  color: #954B98;
   text-decoration: underline; 

}
/*---------------------------------Accordion--------------------------------- */
.accordion {
    --bs-accordion-border-width: 0;
}

.accordion-button {
  background:#F5F5F5;
  color: #643F65;
  font-weight:bold;
  border-radius: var(--bs-accordion-border-radius);
  --bs-accordion-btn-focus-border-color: #E9A116;
  --bs-accordion-btn-focus-box-shadow: 0 0 0 0.25rem rgba(149, 75, 152, 0.25);
 --bs-accordion-btn-icon: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23954B98' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3E%3C/svg%3E");
--bs-accordion-btn-active-icon: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23954B98' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3E%3C/svg%3E");
}

.accordion-button:not(.collapsed) {
  background:#F5F5F5;
  color:#643F65;!important}


/*--------------------------Cards -------------------------------------*/
.card {
    background-color: #F5F5F5;
  
}

.card-title {
    color: #643F65;
    font-weight: bold;
}


.grow {
    transition: transform .3s;
}

.grow:hover {
    transform: scale(1.025);
}


/*---------------------------------Footer--------------------------------- */
footer {
    background-color: #643F65;
    color: white;
}

footer a {
    color: white;
    text-decoration: none;
}

footer a:hover {
    text-decoration: underline;
}

footer h5,
footer p {
    color: white;
}
/*------------------------------------------Carousel---------------------------------------*/
.carousel-item {
   transition: transform 0.5s ease;
}


#myCarousel .carousel-item {
    border-radius: 15px;
    overflow: hidden; /* Verhindert, dass Inhalt über die Ecken hinausgeht */
}
.carousel-control-prev {
    left: -200px;
}

.carousel-control-next {
    right: -200px;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
      color: #643F65;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2rem;
    height: 2rem;
    font-size: 2rem;

}

#carousel1>div.carousel-inner>div.carousel-item>div {
    right: 0%;
    left: 50%;
    text-align: left;
    padding-left: 15px;
}
.carousel-caption{
    position: absolute;
    right: 7%;
    bottom: 1.25rem;
    left: 40%;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
    color: #fff;
    text-align: center;
}
.carousel .carousel-indicators button {
    width: 10px;
    height: 10px;
    border-radius: 100%;
    position: relative;
    bottom: -70px;
    margin-inline: 20px;

}

.carousel .carousel-indicators button {
    background-color: rgb(77, 77, 77);
}

.carousel .carousel-indicators li.active {
    background-color: rgb(66, 66, 66);
}

.custom-carousel-button {
    margin-top: 100px; /* Abstand zwischen Controlls und Button */
    display: flex;
    justify-content: center;
}


#carouselmenu>div.carousel-innen>div.carousel-item>div {
    right: 0%;
    left: 50%;
    text-align: center;
    padding-left: 10px;
}

.text-start{
    font-weight: bold;
}

.extra-margin-top {
    margin-top: 150px;
}

.carousel-arrow{
  margin-top:1rem;
} 
#myCarousel{
  margin-top:2rem;
}
/*-----Caption bei Bildelement---*/
.captionimg {
font-size:12px;
color:#954B98;
  margin-top:5px;
  margin-right:10px;
}


/*-----Bildelement---*/
.img-fluid{

    object-fit: cover;
    border-radius: 7px !important;
}
/*-----Navigation---*/

.nav-link{

  font-weight:bold;
}

.nav-link:hover{
 color: #954B98;
 
  
}
.dropdown-submenu {
    position: absolute;
    left: 100%;
    top: 0;
}

.nav-item.dropdown:hover .dropdown-menu {
    display: block;
    margin-top: 0; /* Verhindert ein Springen des Menüs */
   border: none !important;
   box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1) !important; /* Sanfter Schatten */
}
.nav-item .nav-link.active {
    color: #954B98 !important;
}
.dropdown-item.active,
.dropdown-item.active:hover,
.dropdown-item.active:focus,
.dropdown-item.active:visited,
.dropdown-item:active {
    background-color: #954B98 !important;
    color: white !important;
}

/*-----breadcrumb---*/
.breadcrumb li {
    display: inline-block;
    margin-right: 10px;
    position: relative;
  color:#643F65;
  font-weight:bold;
}

  /* Styles für Off-Canvas-Suche */
        .offcanvas-search {
            background-color: #F5F5F5;
            width: 500px !important; /* Verbreitert das Off-Canvas */
        }

        @media (max-width: 768px) {
            .offcanvas-search {
                width: 100% !important; /* Auf kleineren Bildschirmen volle Breite */
            }
        }

        .offcanvas-search .offcanvas-header {
            border-bottom: 9px solid  #954B98;
            background-color: #954B98;
        }

        .offcanvas-search .offcanvas-title {
            color: white;
            font-weight: bold;
        }

        .offcanvas-search .btn-close {
            filter: invert(1);
        }

        .search-form .form-control {
            border: 2px solid #954B98;
            border-radius: 25px;
            padding: 12px 20px;
            font-size: 1.1rem;
        }

        .search-form .form-control:focus {
            border-color: #643F65;
            box-shadow: 0 0 0 0.2rem rgba(148, 75, 152, 0.25);
        }

        .search-btn {
            background-color: #954B98;
            border: 2px solid #954B98;
            border-radius: 25px;
            padding: 12px 30px;
            font-weight: bold;
            color: white;
        }

        .search-btn:hover {
            background-color: #954B98;
            border-color:  #954B98;
            color: white !important; /* Schrift bleibt beim Hover weiß */
        }
